template field in POST /v1/run.
Example
Precedence
When bothblocks and template are provided, blocks wins:
blocks instead of a template.Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Preset block configurations for common workflows.
template field in POST /v1/run.
| Template | Block types | Typical output |
|---|---|---|
auto | All 17 block types | Depends on prompt |
deep_research | prompt, table, web, web-research, file, yt, memo, text | Research memo |
report | prompt, table, web, yt, document, text | Report (.docx) |
slides | prompt, table, web, yt, presentation, text | Slide deck (.pptx) |
memo | prompt, web, yt, memo, text | Memo (.docx) |
excel | prompt, table, web, yt, excel, text | Spreadsheet (.xlsx) |
app | prompt, app, text | Web app (.html) |
landing_page | prompt, web, image, yt, landing-page, text | Landing page (.html) |
curl -X POST https://api.getspine.ai/v1/run \
-H "X-API-KEY: sk_spine_..." \
-F "prompt=Create a quarterly sales report" \
-F "template=report"
blocks and template are provided, blocks wins:
blocks (if provided) > template > "auto" default
blocks instead of a template.